curl https://app.drime.cloud/api/v1/folders/MTExMzQ0fHBhZA/path \
-H "Authorization: Bearer YOUR_ACCESS_TOKEN"
const folderHash = 'MTExMzQ0fHBhZA';
const response = await fetch(
`https://app.drime.cloud/api/v1/folders/${folderHash}/path`,
{
headers: {
'Authorization': 'Bearer YOUR_ACCESS_TOKEN'
}
}
);
const { path } = await response.json();
// Build breadcrumb string
const breadcrumb = path.map(f => f.name).join(' / ');
console.log(breadcrumb); // "Documents / Projects / 2024"
import requests
folder_hash = 'MTExMzQ0fHBhZA'
response = requests.get(
f'https://app.drime.cloud/api/v1/folders/{folder_hash}/path',
headers={'Authorization': 'Bearer YOUR_ACCESS_TOKEN'}
)
path = response.json()['path']
breadcrumb = ' / '.join(f['name'] for f in path)
print(breadcrumb)
{
"path": [
{
"id": 111344,
"name": "Documents",
"type": "folder",
"path": "111344",
"hash": "MTExMzQ0fHBhZA"
},
{
"id": 111345,
"name": "Projects",
"type": "folder",
"path": "111344/111345",
"hash": "MTExMzQ1fHBhZA"
},
{
"id": 111346,
"name": "2024",
"type": "folder",
"path": "111344/111345/111346",
"hash": "MTExMzQ2fHBhZA"
}
],
"status": "success"
}
Files & Folders
Get Folder Path
Get the breadcrumb path for a folder
GET
/
folders
/
{folderHash}
/
path
curl https://app.drime.cloud/api/v1/folders/MTExMzQ0fHBhZA/path \
-H "Authorization: Bearer YOUR_ACCESS_TOKEN"
const folderHash = 'MTExMzQ0fHBhZA';
const response = await fetch(
`https://app.drime.cloud/api/v1/folders/${folderHash}/path`,
{
headers: {
'Authorization': 'Bearer YOUR_ACCESS_TOKEN'
}
}
);
const { path } = await response.json();
// Build breadcrumb string
const breadcrumb = path.map(f => f.name).join(' / ');
console.log(breadcrumb); // "Documents / Projects / 2024"
import requests
folder_hash = 'MTExMzQ0fHBhZA'
response = requests.get(
f'https://app.drime.cloud/api/v1/folders/{folder_hash}/path',
headers={'Authorization': 'Bearer YOUR_ACCESS_TOKEN'}
)
path = response.json()['path']
breadcrumb = ' / '.join(f['name'] for f in path)
print(breadcrumb)
{
"path": [
{
"id": 111344,
"name": "Documents",
"type": "folder",
"path": "111344",
"hash": "MTExMzQ0fHBhZA"
},
{
"id": 111345,
"name": "Projects",
"type": "folder",
"path": "111344/111345",
"hash": "MTExMzQ1fHBhZA"
},
{
"id": 111346,
"name": "2024",
"type": "folder",
"path": "111344/111345/111346",
"hash": "MTExMzQ2fHBhZA"
}
],
"status": "success"
}
Overview
Returns the folder hierarchy path (breadcrumbs) from root to the specified folder. Useful for navigation UI.Path Parameters
string
required
The folder hash
Query Parameters
integer
Optional vault ID for encrypted folders
Response
array
Array of folder objects from root to target
string
Request status (
success)curl https://app.drime.cloud/api/v1/folders/MTExMzQ0fHBhZA/path \
-H "Authorization: Bearer YOUR_ACCESS_TOKEN"
const folderHash = 'MTExMzQ0fHBhZA';
const response = await fetch(
`https://app.drime.cloud/api/v1/folders/${folderHash}/path`,
{
headers: {
'Authorization': 'Bearer YOUR_ACCESS_TOKEN'
}
}
);
const { path } = await response.json();
// Build breadcrumb string
const breadcrumb = path.map(f => f.name).join(' / ');
console.log(breadcrumb); // "Documents / Projects / 2024"
import requests
folder_hash = 'MTExMzQ0fHBhZA'
response = requests.get(
f'https://app.drime.cloud/api/v1/folders/{folder_hash}/path',
headers={'Authorization': 'Bearer YOUR_ACCESS_TOKEN'}
)
path = response.json()['path']
breadcrumb = ' / '.join(f['name'] for f in path)
print(breadcrumb)
{
"path": [
{
"id": 111344,
"name": "Documents",
"type": "folder",
"path": "111344",
"hash": "MTExMzQ0fHBhZA"
},
{
"id": 111345,
"name": "Projects",
"type": "folder",
"path": "111344/111345",
"hash": "MTExMzQ1fHBhZA"
},
{
"id": 111346,
"name": "2024",
"type": "folder",
"path": "111344/111345/111346",
"hash": "MTExMzQ2fHBhZA"
}
],
"status": "success"
}
⌘I

